<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: DeclProc.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_decl_proc_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">DeclProc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_type_proc_8h_source.html">TypeProc.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for DeclProc.h:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h__incl.png" border="0" usemap="#_decl_proc_8h" alt=""/></div>
<map name="_decl_proc_8h" id="_decl_proc_8h">
<area shape="rect" title=" " alt="" coords="6,5,97,32"/>
<area shape="rect" href="_type_proc_8h.html" title=" " alt="" coords="5,80,97,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h__dep__incl.png" border="0" usemap="#_decl_proc_8hdep" alt=""/></div>
<map name="_decl_proc_8hdep" id="_decl_proc_8hdep">
<area shape="rect" title=" " alt="" coords="34,5,125,32"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html" title=" " alt="" coords="8,80,151,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="5,155,153,196"/>
</map>
</div>
</div>
<p><a href="_decl_proc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5f31e47fafc3b56fb55a8fdffa67a360"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360">DeclDisPatcher</a> (bsoncxx::builder::basic::document &amp;CallingNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const clang::NamedDecl *ND, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a5f31e47fafc3b56fb55a8fdffa67a360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93970f3b00cf4f70b0eadb2f100c5034"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034">GetTypeInformationForDecl</a> (bsoncxx::builder::basic::document &amp;DeclNode, const SourceManager &amp;SourceManager, const DeclaratorDecl &amp;CLDeclNode, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a93970f3b00cf4f70b0eadb2f100c5034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21232d055ec5d99ccaf9029ee5654848"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848">GetTypeInformationForTypeDefNameDecl</a> (bsoncxx::builder::basic::document &amp;TypeDefNode, const SourceManager &amp;SourceManager, const clang::TypedefNameDecl *PtrTypeDefNameDecl, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a21232d055ec5d99ccaf9029ee5654848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45cceb4fcef384f85e1c10274c240dc1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1">StructDeclProc</a> (bsoncxx::builder::basic::document &amp;StrcTypeNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, const clang::RecordDecl *RecD, const SourceManager &amp;SourceManager, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a45cceb4fcef384f85e1c10274c240dc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d41e256eeb951cffd2a19125abf654"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654">storeVarsToDB</a> (bsoncxx::builder::basic::document &amp;VarDeclNode, const VarDecl *VD, std::string PAsString)</td></tr>
<tr class="separator:a04d41e256eeb951cffd2a19125abf654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9822762d5d3da96429cc8eb537152f0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e">addTypeInfoToVar</a> (bsoncxx::builder::basic::document &amp;VarDeclNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const VarDecl *VD, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a9822762d5d3da96429cc8eb537152f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f02fe5969c9a38f99703a3a29b776d6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6">VarDeclProc</a> (bsoncxx::builder::basic::document &amp;VarDeclNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const VarDecl *VD, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a6f02fe5969c9a38f99703a3a29b776d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab38ac3e115c112a92798d1bde32ed22d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d">FuncDeclProc</a> (bsoncxx::builder::basic::document &amp;FuncDeclNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, const FunctionDecl *FD, const SourceManager &amp;SourceManager, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:ab38ac3e115c112a92798d1bde32ed22d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cf24d93902e040ec03c2d5d5080d9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d">FieldDeclProc</a> (bsoncxx::builder::basic::document &amp;FieldDeclNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, const FieldDecl *FD, const SourceManager &amp;SourceManager, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a76cf24d93902e040ec03c2d5d5080d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745102550bf2062df80f1291adc0378d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d">TypeDefNameDeclProc</a> (bsoncxx::builder::basic::document &amp;TypeDefNode, const TypedefNameDecl *PtrTypeDefNameDecl, const SourceManager &amp;SourceManager, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a745102550bf2062df80f1291adc0378d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9822762d5d3da96429cc8eb537152f0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9822762d5d3da96429cc8eb537152f0e">&#9670;&nbsp;</a></span>addTypeInfoToVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void addTypeInfoToVar </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>VarDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const VarDecl *&#160;</td>
          <td class="paramname"><em>VD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_cgraph.png" border="0" usemap="#_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_cgraph" id="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_cgraph">
<area shape="rect" title=" " alt="" coords="5,699,141,725"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1438,445,1547,472"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1435,648,1551,675"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1405,749,1580,776"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="189,623,307,649"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="355,231,459,257"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="967,648,1078,675"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="734,129,873,156"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="515,281,661,308"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="728,79,879,105"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="507,332,669,359"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="509,231,667,257"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1437,205,1548,232"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="743,597,863,624"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="717,231,889,257"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="968,521,1077,548"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="937,285,1108,312"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="973,699,1073,725"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1157,648,1357,675"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1197,496,1317,523"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1188,395,1325,421"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1156,227,1357,269"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1199,699,1315,725"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="954,231,1091,257"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_icgraph.png" border="0" usemap="#_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_icgraph" id="_decl_proc_8h_a9822762d5d3da96429cc8eb537152f0e_icgraph">
<area shape="rect" title=" " alt="" coords="1523,119,1659,145"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1375,271,1475,297"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1207,271,1327,297"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1001,397,1159,424"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1028,245,1132,272"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1032,144,1128,171"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1015,296,1145,323"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1037,347,1123,373"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1013,195,1147,221"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="833,380,937,407"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="649,380,759,407"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="5,136,123,163"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="421,263,559,289"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="415,431,565,457"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="201,481,311,508"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="390,532,590,559"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="389,314,591,355"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="201,532,311,559"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="171,292,341,319"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="817,245,953,272"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="663,195,745,221"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="437,161,543,188"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="639,144,769,171"/>
</map>
</div>

</div>
</div>
<a id="a5f31e47fafc3b56fb55a8fdffa67a360"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f31e47fafc3b56fb55a8fdffa67a360">&#9670;&nbsp;</a></span>DeclDisPatcher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DeclDisPatcher </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>CallingNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::NamedDecl *&#160;</td>
          <td class="paramname"><em>ND</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph.png" border="0" usemap="#_decl_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph" id="_decl_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph">
<area shape="rect" title=" " alt="" coords="1864,55,1984,81"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1707,55,1816,81"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1539,325,1659,352"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1333,173,1491,200"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1360,325,1464,352"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1364,477,1460,504"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1347,376,1477,403"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1369,427,1455,453"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1345,275,1479,301"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1165,173,1269,200"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="981,119,1091,145"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,275,455,301"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="753,173,891,200"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="747,224,897,251"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="722,5,922,32"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="721,107,923,149"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="533,56,643,83"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,275,105,301"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,275,289,301"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="503,325,673,352"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1149,376,1285,403"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="995,376,1077,403"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="769,427,875,453"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="971,440,1101,467"/>
</map>
</div>

</div>
</div>
<a id="a76cf24d93902e040ec03c2d5d5080d9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76cf24d93902e040ec03c2d5d5080d9d">&#9670;&nbsp;</a></span>FieldDeclProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FieldDeclProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>FieldDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FieldDecl *&#160;</td>
          <td class="paramname"><em>FD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_cgraph.png" border="0" usemap="#_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_cgraph" id="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_cgraph">
<area shape="rect" title=" " alt="" coords="5,499,116,525"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="164,549,364,576"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="412,321,523,348"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1654,692,1763,719"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1651,337,1767,364"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1621,489,1796,516"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="571,296,675,323"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="735,144,873,171"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="731,245,877,272"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="729,397,879,424"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="723,296,885,323"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="725,347,883,373"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="959,397,1079,424"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="933,271,1105,297"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1184,565,1293,592"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1650,165,1767,192"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1153,245,1324,272"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1189,489,1289,516"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1413,641,1533,668"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1404,591,1541,617"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1372,153,1573,194"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1405,337,1541,364"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1415,489,1531,516"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1170,195,1307,221"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_icgraph.png" border="0" usemap="#_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_icgraph" id="_decl_proc_8h_a76cf24d93902e040ec03c2d5d5080d9d_icgraph">
<area shape="rect" title=" " alt="" coords="1196,14,1307,41"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1028,302,1148,329"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="473,65,591,91"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="823,251,980,278"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="849,403,953,430"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="853,555,949,582"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="836,454,967,481"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="858,505,945,531"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="835,353,968,379"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="655,251,759,278"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="477,293,587,319"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="255,242,394,269"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="249,410,400,437"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="36,191,145,218"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="225,141,425,167"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="224,344,425,385"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="41,90,141,117"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="5,406,176,433"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="257,39,393,66"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="639,454,775,481"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="491,462,573,489"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="272,515,377,542"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="641,541,772,567"/>
</map>
</div>

</div>
</div>
<a id="ab38ac3e115c112a92798d1bde32ed22d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab38ac3e115c112a92798d1bde32ed22d">&#9670;&nbsp;</a></span>FuncDeclProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FuncDeclProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>FuncDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FunctionDecl *&#160;</td>
          <td class="paramname"><em>FD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_cgraph.png" border="0" usemap="#_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_cgraph" alt=""/></div>
<map name="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_cgraph" id="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_cgraph">
<area shape="rect" title=" " alt="" coords="5,540,115,567"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="176,413,287,440"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1723,388,1923,415"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="2003,160,2113,187"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="2000,261,2116,288"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1971,388,2145,415"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="171,616,291,643"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="163,667,300,693"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="348,363,452,389"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="512,211,651,237"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="508,261,655,288"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="506,464,657,491"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="500,312,663,339"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="503,413,660,440"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="737,464,857,491"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="711,413,883,440"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1564,413,1675,440"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1399,413,1516,440"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="931,199,1101,225"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="966,305,1066,332"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1149,94,1351,135"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1182,261,1318,288"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1765,211,1881,237"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="947,148,1085,175"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_icgraph.png" border="0" usemap="#_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_icgraph" alt=""/></div>
<map name="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_icgraph" id="_decl_proc_8h_ab38ac3e115c112a92798d1bde32ed22d_icgraph">
<area shape="rect" title=" " alt="" coords="1707,55,1816,81"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1539,325,1659,352"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1333,173,1491,200"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1360,325,1464,352"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1364,477,1460,504"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1347,376,1477,403"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1369,427,1455,453"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1345,275,1479,301"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1165,173,1269,200"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="981,119,1091,145"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,275,455,301"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="753,173,891,200"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="747,224,897,251"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="722,5,922,32"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="721,107,923,149"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="533,56,643,83"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,275,105,301"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,275,289,301"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="503,325,673,352"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1149,376,1285,403"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="995,376,1077,403"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="769,427,875,453"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="971,440,1101,467"/>
</map>
</div>

</div>
</div>
<a id="a93970f3b00cf4f70b0eadb2f100c5034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93970f3b00cf4f70b0eadb2f100c5034">&#9670;&nbsp;</a></span>GetTypeInformationForDecl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetTypeInformationForDecl </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>DeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const DeclaratorDecl &amp;&#160;</td>
          <td class="paramname"><em>CLDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_cgraph.png" border="0" usemap="#_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_cgraph" id="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_cgraph">
<area shape="rect" title=" " alt="" coords="5,651,205,677"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="253,220,364,247"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1495,600,1605,627"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1492,803,1608,829"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1463,499,1637,525"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="412,195,516,221"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="576,43,715,69"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="572,144,719,171"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="570,296,721,323"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="564,195,727,221"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="567,245,724,272"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="801,296,921,323"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="775,195,947,221"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1685,296,1796,323"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1025,651,1135,677"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1491,296,1609,323"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="995,195,1165,221"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1030,575,1130,601"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1254,651,1374,677"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1245,701,1383,728"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1213,57,1415,98"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1246,549,1382,576"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1256,600,1372,627"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1011,144,1149,171"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_icgraph.png" border="0" usemap="#_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_icgraph" id="_decl_proc_8h_a93970f3b00cf4f70b0eadb2f100c5034_icgraph">
<area shape="rect" title=" " alt="" coords="1355,169,1555,196"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1196,321,1307,348"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="270,93,379,120"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="41,549,141,576"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1028,321,1148,348"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="473,549,591,576"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="823,195,980,221"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="849,347,953,373"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="853,245,949,272"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="836,397,967,424"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="858,448,945,475"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="835,296,968,323"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="655,253,759,280"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="477,203,587,229"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="255,312,394,339"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="249,261,400,288"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="224,195,425,237"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="5,173,176,200"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="257,549,393,576"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="639,397,775,424"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="491,405,573,432"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="272,384,377,411"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="641,325,772,352"/>
</map>
</div>

</div>
</div>
<a id="a21232d055ec5d99ccaf9029ee5654848"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21232d055ec5d99ccaf9029ee5654848">&#9670;&nbsp;</a></span>GetTypeInformationForTypeDefNameDecl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetTypeInformationForTypeDefNameDecl </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeDefNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::TypedefNameDecl *&#160;</td>
          <td class="paramname"><em>PtrTypeDefNameDecl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_cgraph.png" border="0" usemap="#_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_cgraph" id="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_cgraph">
<area shape="rect" title=" " alt="" coords="5,655,207,697"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="255,536,365,563"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="413,511,517,537"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="577,359,716,385"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="573,409,720,436"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="571,612,722,639"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="565,460,728,487"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="568,511,725,537"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="802,409,922,436"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="776,232,948,259"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1564,612,1675,639"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="2003,207,2113,233"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="2000,359,2116,385"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1971,511,2145,537"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1565,181,1674,208"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1399,561,1516,588"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="996,561,1167,588"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1031,359,1131,385"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1723,511,1923,537"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1763,55,1883,81"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1754,105,1891,132"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1215,409,1351,436"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1765,359,1881,385"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1013,105,1150,132"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_icgraph.png" border="0" usemap="#_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_icgraph" id="_decl_proc_8h_a21232d055ec5d99ccaf9029ee5654848_icgraph">
<area shape="rect" title=" " alt="" coords="1864,137,2065,178"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1645,169,1816,196"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1477,296,1597,323"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1272,144,1429,171"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1299,397,1403,424"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1303,195,1399,221"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1285,245,1416,272"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1307,296,1394,323"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1284,347,1417,373"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1104,195,1208,221"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="919,144,1030,171"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,296,455,323"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="692,245,831,272"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="686,195,837,221"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="503,93,613,120"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="661,144,861,171"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="503,245,613,272"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,296,105,323"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,296,289,323"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1088,347,1224,373"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="934,397,1015,424"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="709,372,814,399"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="909,347,1040,373"/>
</map>
</div>

</div>
</div>
<a id="a04d41e256eeb951cffd2a19125abf654"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d41e256eeb951cffd2a19125abf654">&#9670;&nbsp;</a></span>storeVarsToDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void storeVarsToDB </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>VarDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const VarDecl *&#160;</td>
          <td class="paramname"><em>VD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>PAsString</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_cgraph.png" border="0" usemap="#_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_cgraph" id="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,121,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="202,5,311,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="199,56,315,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="169,107,344,133"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_icgraph.png" border="0" usemap="#_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_icgraph" id="_decl_proc_8h_a04d41e256eeb951cffd2a19125abf654_icgraph">
<area shape="rect" title=" " alt="" coords="1707,245,1823,272"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1559,245,1659,272"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1391,515,1511,541"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1185,169,1343,196"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1212,616,1316,643"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1216,768,1312,795"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1199,667,1329,693"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1221,717,1307,744"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1197,565,1331,592"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1017,144,1121,171"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="833,195,943,221"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="189,169,307,196"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="605,144,743,171"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="599,93,749,120"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="385,220,495,247"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="574,245,774,272"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="573,297,775,338"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="385,271,495,297"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="5,81,141,108"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="355,380,525,407"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1001,667,1137,693"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="847,692,929,719"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="621,723,727,749"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="823,755,953,781"/>
</map>
</div>

</div>
</div>
<a id="a45cceb4fcef384f85e1c10274c240dc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45cceb4fcef384f85e1c10274c240dc1">&#9670;&nbsp;</a></span>StructDeclProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StructDeclProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>StrcTypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::RecordDecl *&#160;</td>
          <td class="paramname"><em>RecD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_cgraph.png" border="0" usemap="#_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_cgraph" id="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_cgraph">
<area shape="rect" title=" " alt="" coords="5,567,123,593"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="171,157,275,184"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="783,592,894,619"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="550,157,689,184"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="331,5,477,32"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="544,107,695,133"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="323,56,485,83"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="325,267,483,293"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1253,237,1364,264"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="559,541,679,568"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="533,267,705,293"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1254,629,1363,656"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1251,680,1367,707"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1221,781,1396,808"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="784,535,893,561"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="753,321,924,348"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="789,655,889,681"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="973,629,1173,656"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1013,528,1133,555"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1004,427,1141,453"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="972,259,1173,301"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1005,832,1141,859"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1015,680,1131,707"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="770,267,907,293"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_icgraph.png" border="0" usemap="#_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_icgraph" id="_decl_proc_8h_a45cceb4fcef384f85e1c10274c240dc1_icgraph">
<area shape="rect" title=" " alt="" coords="1541,220,1659,247"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1357,245,1493,272"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1041,347,1161,373"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1209,245,1309,272"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="836,245,993,272"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="863,397,967,424"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="867,347,963,373"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="849,448,980,475"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="871,499,958,525"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="848,549,981,576"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="668,195,772,221"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="483,195,594,221"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="255,144,394,171"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="249,312,400,339"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="36,195,145,221"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="225,93,425,120"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="224,246,425,287"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="35,43,146,69"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="5,308,176,335"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="652,448,788,475"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="498,440,579,467"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="272,423,377,449"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="473,380,604,407"/>
</map>
</div>

</div>
</div>
<a id="a745102550bf2062df80f1291adc0378d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a745102550bf2062df80f1291adc0378d">&#9670;&nbsp;</a></span>TypeDefNameDeclProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TypeDefNameDeclProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeDefNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const TypedefNameDecl *&#160;</td>
          <td class="paramname"><em>PtrTypeDefNameDecl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_cgraph.png" border="0" usemap="#_decl_proc_8h_a745102550bf2062df80f1291adc0378d_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_cgraph" id="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_cgraph">
<area shape="rect" title=" " alt="" coords="5,799,176,825"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="224,563,425,605"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="473,271,584,297"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="632,245,736,272"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="796,93,935,120"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="792,144,939,171"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="790,347,941,373"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="784,195,947,221"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="787,296,944,323"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1021,347,1141,373"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="995,296,1167,323"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1749,169,1860,196"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="2189,220,2298,247"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="2185,372,2301,399"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="2156,625,2331,652"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1750,512,1859,539"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1584,119,1701,145"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1233,347,1333,373"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1908,220,2108,247"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1948,524,2068,551"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1939,575,2077,601"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1400,271,1536,297"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1950,372,2066,399"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1215,144,1352,171"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_icgraph.png" border="0" usemap="#_decl_proc_8h_a745102550bf2062df80f1291adc0378d_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_icgraph" id="_decl_proc_8h_a745102550bf2062df80f1291adc0378d_icgraph">
<area shape="rect" title=" " alt="" coords="1647,203,1817,229"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1479,312,1599,339"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1273,211,1431,237"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1300,464,1404,491"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1304,261,1400,288"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1287,312,1417,339"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1309,363,1395,389"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1285,413,1419,440"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1105,261,1209,288"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="921,211,1031,237"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,337,455,364"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="693,261,831,288"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="687,312,837,339"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="503,160,613,187"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="662,211,862,237"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="661,94,863,135"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="503,312,613,339"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,211,105,237"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,312,289,339"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1089,413,1225,440"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="935,464,1017,491"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="709,439,815,465"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="911,413,1041,440"/>
</map>
</div>

</div>
</div>
<a id="a6f02fe5969c9a38f99703a3a29b776d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f02fe5969c9a38f99703a3a29b776d6">&#9670;&nbsp;</a></span>VarDeclProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VarDeclProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>VarDeclNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const VarDecl *&#160;</td>
          <td class="paramname"><em>VD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_cgraph.png" border="0" usemap="#_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_cgraph" alt=""/></div>
<map name="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_cgraph" id="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_cgraph">
<area shape="rect" title=" " alt="" coords="5,669,105,696"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,619,289,645"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1305,581,1505,608"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1347,733,1463,760"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1586,784,1695,811"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1583,531,1699,557"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1553,632,1728,659"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,517,455,544"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="503,160,607,187"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1115,531,1226,557"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="882,109,1021,136"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="663,160,809,187"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="876,8,1027,35"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="655,261,817,288"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="657,211,815,237"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1585,139,1696,165"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="891,480,1011,507"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="865,211,1037,237"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1116,429,1225,456"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1085,261,1256,288"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1345,328,1465,355"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1336,379,1473,405"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1304,161,1505,202"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1102,211,1239,237"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_icgraph.png" border="0" usemap="#_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_icgraph" alt=""/></div>
<map name="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_icgraph" id="_decl_proc_8h_a6f02fe5969c9a38f99703a3a29b776d6_icgraph">
<area shape="rect" title=" " alt="" coords="1559,245,1659,272"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1391,515,1511,541"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1185,169,1343,196"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1212,616,1316,643"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1216,768,1312,795"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1199,667,1329,693"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1221,717,1307,744"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1197,565,1331,592"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1017,144,1121,171"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="833,195,943,221"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="189,169,307,196"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="605,144,743,171"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="599,93,749,120"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="385,220,495,247"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="574,245,774,272"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="573,297,775,338"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="385,271,495,297"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="5,81,141,108"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="355,380,525,407"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1001,667,1137,693"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="847,692,929,719"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="621,723,727,749"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="823,755,953,781"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_decl_proc_8h.html">DeclProc.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
